<?php

namespace Intergo\InventoryClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class InventoryApiHandler extends ApiHandler
{
    protected static $endpoints = [
        /**
         * Countries
         */
        'getAllCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries'],
        'getCountryCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/{code}/cities'],
        'getUSStates' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/us/states'],
        'getStateCities' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/us/states/{code}/cities'],
        'getInventoryAvailableCountries' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/countries/available'],

        /**
         * Numbers
         */
        'getNumbersForUser' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/numbers'],

        /**
         * Number Types
         */
        'getNumberTypes' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/number-types'],

        /**
         * Keywords
         */
        'getKeywordExamples' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/:site/keywords/examples'],
    ];
}
